package com.sun.org.apache.bcel.internal.util;

import java.util.Collection;
import java.util.HashMap;
import com.sun.org.apache.bcel.internal.classfile.JavaClass;
import java.util.Map;

public class ClassSet
{
    private final Map<String, JavaClass> map;
    
    public ClassSet() {
        this.map = new HashMap();
    }
    
    public boolean add(JavaClass clazz) {
        boolean result = false;
        if (!this.map.containsKey(clazz.getClassName())) {
            result = true;
            this.map.put(clazz.getClassName(), clazz);
        }
        return result;
    }
    
    public void remove(JavaClass clazz) {
        this.map.remove(clazz.getClassName());
    }
    
    public boolean empty() {
        return this.map.isEmpty();
    }
    
    public JavaClass[] toArray() {
        Collection<JavaClass> values = this.map.values();
        JavaClass[] classes = new JavaClass[values.size()];
        values.toArray(classes);
        return classes;
    }
    
    public String[] getClassNames() {
        return (String[])this.map.keySet().toArray(new String[this.map.size()]);
    }
}
